curl --request POST \
--url https://api.cloudglue.dev/v1/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form 'metadata={}' \
--form enable_segment_thumbnails=trueimport requests
url = "https://api.cloudglue.dev/v1/files"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"metadata": "{}",
"enable_segment_thumbnails": "true"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('metadata', '{}');
form.append('enable_segment_thumbnails', 'true');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.cloudglue.dev/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"uri": "<string>",
"bytes": 123,
"created_at": 123,
"filename": "<string>",
"metadata": {},
"media_info": {
"duration_seconds": 123,
"width": 123,
"height": 123,
"sample_rate": 123,
"channels": 123,
"bitrate": 123,
"format": "<string>",
"has_audio": true
},
"video_info": {
"duration_seconds": 123,
"height": 123,
"width": 123,
"format": "<string>",
"has_audio": true
},
"thumbnail_url": "<string>",
"source_metadata": {
"source_type": "grain",
"grain_recording_id": "<string>",
"title": "<string>",
"start_datetime": "2023-11-07T05:31:56Z",
"end_datetime": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"grain_url": "<string>",
"thumbnail_url": "<string>",
"tags": [
"<string>"
],
"teams": [
{
"id": "<string>",
"name": "<string>"
}
],
"meeting_type": {
"id": "<string>",
"name": "<string>",
"scope": "<string>"
},
"participants": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"confirmed_attendee": true,
"hs_contact_id": "<string>"
}
],
"highlights": [
{}
],
"ai_summary": {
"text": "<string>"
},
"ai_action_items": [
{
"timestamp_ms": 123,
"text": "<string>",
"assignee": {
"id": "<string>",
"name": "<string>",
"user_id": "<string>"
}
}
],
"ai_template_sections": [
{}
],
"calendar_event": {
"ical_uid": "<string>"
},
"hubspot": {
"hubspot_company_ids": [
"<string>"
],
"hubspot_deal_ids": [
"<string>"
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Upload File
Upload a video, audio, or image file that can be used with Cloudglue services
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Upload a video, audio, or image file
Response
Successful file upload
Unique identifier for the file
Processing status of the file
pending, processing, completed, failed, not_applicable Cloudglue URI for the file, to be used in other API calls
Size of the file in bytes, null if not available
Unix timestamp in milliseconds when the file was created
Original filename
User-provided metadata about the file, null if none provided
Type of media file (video, audio, or image). Images are processed at the file level only (no segmentation).
video, audio, image Unified media information for video, audio, and image files
Show child attributes
Show child attributes
Information about the video content
Show child attributes
Show child attributes
URL of the thumbnail for the file
Source of the file
video, youtube, s3, dropbox, http, upload, google-drive, zoom, gong, recall, gcs, grain, loom, iconik Source provenance captured from the upstream connector at ingest time. Null when nothing was captured (older files, or a connector that does not yet populate it).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
Show child attributes
Show child attributes